# look at em
![acrid hitboxes](https://i.imgur.com/A51wkz1.png)
you can now

## Overview
- Puts cubes on OverlapAttack hitboxes, so melee attacks and most projectiles.
- Puts spheres where BlastAttacks happen. 
- Puts cylinders along the paths of BulletAttacks (yes they have a width).
- Puts all kinds of shapes on character's hurtboxes. (disabled by default)
- Puts a cylinder at your character's CharacterMotor (their collision with the environment and other characters
- Can toggle hitboxes and hurtboxes separately.
- Can press semicolon key(configurable) to temporarily disable all.

### How to Use
 - Just install and you'll see hitboxes!
 - Use configs to enable or disable hitboxes and hurtboxes individually.
 - use the command: `show_hurtboxes 1` to enable, `show_hurtboxes 0` to disable, or simply `show_hurtboxes` to toggle
   - likewise for the command: `show_hitboxes`
   - likewise likewise for the command: 'show_motors`
 - By default attack Hitboxes are on and character Hurtboxes are off.
 - If you have the mod `RiskOfOptions` installed, you can simply toggle these options in the settings menu!
 - Press `semicolon` to override settings and disable all hitboxes and hurtboxes temporarily.

### Notes
- Make sure you press semicolon key to disable hitboxes later in runs when the framerate starts to howl in agony
- By default, Merc's hitboxes (and some other characters) are toned down for safety for your eyes (you can turn this off in config (don't if you have epilepsy)).
- Blast attacks are only active for one frame, but the sphere will linger for a bit
  - Same with bulletattacks
- Use Lingering Bullets mode to examine things like bullet spreads
  - or just grab 100 syringes and paint a pretty picture c:

Any feedback/issues, ping/message me (`TheTimesweeper#5727`) on the ror2 modding discord or the enforcer discord (https://discord.gg/csaEQDnMH8), love ya

## changelog

`1.5.3`
- CUM2 coolfix, post R2API
- added commands back
- fixed compatibility with RiskOfOptions
- separated CharacterMotor to its own setting/command/config

`1.5.2`
- CUM2 hotfix, pre R2API
  - removed commands
  - added configs in their place
- added support for CharacterMotors. Shares settings with hurtboxes

`1.5.1`
- fixed bullet hit points shrinking before disappearing when not in linger mode
- removed annoying bullet hit points that happen at the very beginning of the bullet attack
- updated bullet cylinder model with an empty starting face
- added some optimized sphere and cylinder hitbox meshes for when hitboxes are really small and don't need the detail
- adjust stuff idk

`1.5.0`
- fixed bullet attacks not actually being as thicc as they're supposed to be
- added hit points to bulletattacks
  - added lingering bullet mode (Slash key)
- added some configs for bullet attack colors
- added optimized hurtboxes config
- changed config section names
  - highly I recommend deleting existing configs cause they'll get real messy
- removed some funny spaghetti code

`1.4.0`
- added bulletattacks cause I'm working on enforcer's guns but don't tell anybody
  - I really thought overlapattacks, blastattacks, hurtboxes covered like everything, what else?
  - someone fork this and do buffwards for me
- added descriptions to RiskOfOptions options

`1.3.1`
- moved back to r2api now that the CUM storm has blown over
- didn't fix RiskOfOptions compat cause already workin who knew
- fucked with the icon's colors again as I've done like every release for no reason :P

`1.3.0`
- anniversary update, moved over to new api
- moved RiskOfOptions to a soft dependency and added console commands in its place
- but that mod conflicts with enigmaticthunder so right now I have a soft dependency that doesn't do anything

`1.2.0`
- after testing, it did not improve performance, everything i know is a lie, removed object pools for now
- added ursa to default toned down characters
 
`1.1.0`
- blast hitbox revealers are now pooled, should improve performance
- added chat log to hitbox toggle key

`1.0.1`
- fixed blastattackhitboxes not lingering as i said it would so i lied i'm sorry pls forgive me

`1.0.0`
- added blastattacks
- I really thought i'd just shit out the overlapattack hitboxes and just not get around to the others for a while, suddenly 1.0 who'da thought

`0.3.0`
- added risk of options menu (thanks Rune for the help (and for your mod in general))
- removed "show hurtbox" from config since it's in the settings menu now
- retconned changelog version numbers to make a lil more sense

`0.2.0`
- added hurtboxes

`0.1.0`
- c:
- (fixed up configs and released)

`0.0.3`
- tried and failed to make an object pool (look at the code on github and laugh. LAUGH)

`0.0.2`
- added hitboxes